
set(PLATFORM_UNIT_TEST_FILES)
if(UNIX)
    find_package(Freetype QUIET)
    if(Freetype_FOUND)
    set(PLATFORM_UNIT_TEST_FILES
        TestFreeTypeFontEngine.cpp
    )    
    endif()
else()
    set(PLATFORM_UNIT_TEST_FILES
        TestDirectWriteFontEngine.cpp
    )    
endif()
	
set(MODULE_NAME fonts)

list(APPEND UNIT_TEST_FILES
    TestFontReader.cpp
	${PLATFORM_UNIT_TEST_FILES}
)

set(UNIT_TEST_TARGET_NAME ${MODULE_NAME}_unit_tests)

add_executable(${UNIT_TEST_TARGET_NAME} ${CMAKE_SOURCE_DIR}/test/test_runner.cpp ${UNIT_TEST_FILES})
target_link_libraries(${UNIT_TEST_TARGET_NAME} PUBLIC test_utils fonts)
set_property(TARGET ${UNIT_TEST_TARGET_NAME} PROPERTY FOLDER test/${MODULE_NAME})